

<link href="<?php echo base_url();?>assets/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<link href="<?php echo base_url();?>assets/datatables/fixedColumns.dataTables.min.css" rel="stylesheet" type="text/css" />
<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">
		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				Progress Perubahan Tugas
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="flaticon-analytics"></i> Monitoring Daftar Tugas
				</li>
			</ul>
		</div>
	</div>
</div>
<!-- END: Subheader -->

<div class="m-content">
	<!--Begin::Main Portlet-->
	<div class="row">
		<div class="col-xl-12">
			<!--begin::Portlet-->
			<div class="m-portlet m-portlet--tab">
				<div class="m-portlet__head">
					<div class="m-portlet__head-caption">
						<div class="m-portlet__head-title">
							<span class="m-portlet__head-icon m--hide">
								<i class="la la-gear"></i>
							</span>
							<h3 class="m-portlet__head-text">
								Daftar Perubahan Tugas
							</h3>
						</div>
					</div>
				</div>

				<div class="m-portlet__body">

					<?php if(count($get) > 0){ ?>

						

						<table class="stripe row-border order-column" id="example" width="100%"">
							<thead>
								<tr style="background-color: #cfcfcf;">
									<!-- <th data-field="Kode Task">Kode Task</th>
									<th data-field="Kode Sub Task">Kode Sub Task</th> -->
									<th data-field="Kategori">Kategori</th>
									<th data-field="Task/ Sub Task">Tugas / Sub Sub Tugas</th>
									<th data-field="Perubahan">Perubahan Ke</th>
									<th data-field="AGM">Status</th>
								</tr>
							</thead>
							<tbody>
								<?php $i=1; foreach ($get as $set): ?>
									<tr>
										<!-- <td><?php echo $set->KodeTask ?></td>
										<td><?php echo $set->KodeSubTask ?></td> -->
										<td>
											<?php if($set->Kategori==1){echo "Perubahan Judul Tugas";}
												elseif($set->Kategori==2){echo "Perubahan Target";}
												elseif($set->Kategori==3){echo "Penambahan Sub Tugas";}
												elseif($set->Kategori==4){echo "Perubahan PIC";}
												elseif($set->Kategori==5){echo "Pembatalan Tugas";} ?>
										</td>
										<td>
											<?php if($set->DetailID == NULL){
												echo $set->JudulTask;
											}else{
												echo $set->JudulSubTask;
											} ?>
										</td>
										<td class="text-center"><?php echo $set->Perubahan ?></td>
										<td>
											<?php if($set->Status == 2){
												echo "<span style='width: 100px;'>";
												echo "<span class='m-badge m-badge--success m-badge--wide'>Disetujui</span>";
												echo "</span>";
											}else if($set->Status == 4){
												echo "<span style='width: 100px;'>";
												echo "<span class='m-badge m-badge--danger m-badge--wide'>Ditolak</span>";
												echo "</span>";
											}else{
												echo "<span style='width: 100px;'>";
												echo "<span class='m-badge m-badge--warning m-badge--wide'>Ditunda</span>";
												echo "</span>";
											}?>
										</td>
									</tr>
								<?php $i++; endforeach; ?>
							</tbody>
						</table>

					<?php }else{
						echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
						echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'></button>";
						echo "<strong>Empty!</strong> Belum ada pengajuan perubahan task.</div>";
					} ?>

				</div>
			</div>
			<!--end::Portlet-->
		</div>
	</div>
	<!--End::Main Portlet-->
</div>

<script type="text/javascript">
	$(document).ready(function() {
    var table = $('#example').removeAttr('width').DataTable( {
    	sSearch:false,
        scrollY:        "700px",
        scrollX:        true,
        scrollCollapse: true,
        paging:         false,
        columnDefs: [
            { width: 100, targets: 0 },
            { width: 600, targets: 1 },
            { width: 50, targets: 2 },
            // { width: 50, targets: 3 }
        ],
        fixedColumns: true
    } );
});
</script>